Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the referenced Warehouse.

Query Parameters

fields
enum<string>[]

Specify fields of the SlottingRule object to include in the response.

Available options:
all,
rule_set,
name,
relation,
strength,
priority,
merchant_ids,
merchants,
product_profile_ids,
product_profiles,
product_profile_match_mode,
handling_class_ids,
handling_classes,
location_profile,
subject_readable,
location_match_readable,
has_conflicts,
conflict_detail,
created_at,
updated_at
fields:rule_set
enum<string>[]

Specify fields of the SlottingRuleSet object referenced by each Rule. See the selecting fields page for more information. Specify fields of the SlottingRuleSet object to include in the response.

Available options:
all,
name,
description,
is_active,
rule_count,
has_conflicts,
conflicting_rule_count,
created_at,
updated_at
fields:location_profile
enum<string>[]

Specify fields of the LocationProfile object referenced by each Rule. See the selecting fields page for more information. Specify direct display fields of an included LocationProfile object.

Available options:
name,
description,
status,
member_count,
match_readable,
created_at,
updated_at
fields:merchants
enum<string>[]

Specify direct fields of selected Merchant objects to include under included.Merchant. Add merchants to the root fields parameter to return the relationship. type and id are always returned. Specify direct fields of an included Merchant object.

Available options:
code,
name,
status,
created_at,
updated_at
fields:product_profiles
enum<string>[]

Specify fields of selected ProductProfile objects to include under included.ProductProfile. Add product_profiles to the root fields parameter to return the relationship. type and id are always returned. Specify fields of an included ProductProfile object.

Available options:
basic,
all,
name,
code,
conditions,
conditions_readable,
matched_count,
classification,
created_at,
updated_at
fields:handling_classes
enum<string>[]

Specify direct fields of selected HandlingClass objects to include under included.HandlingClass. Add handling_classes to the root fields parameter to return the relationship. type and id are always returned. Specify direct fields of an included HandlingClass object.

Available options:
name,
code,
sort_order,
conditions,
conditions_readable,
matched_count,
classification,
created_at,
updated_at
filter
string[]

Using the filtering syntax, filter results by:

  • id
  • name
  • relation
  • strength
  • priority
  • product_profile_match_mode
  • location_profile_id
  • has_conflicts
sort
string

The default sort order is ascending by id.

The following fields are available for sorting:

  • id
  • name
  • relation
  • priority
  • has_conflicts
  • updated_at
count
integer

If specified as 1, the meta.count property of the response will be present and populated with the total count of items matching the query before any paging is applied. This is not included by default to improve performance in some edge cases and is not required to perform paging using the next property of the response. See paging parameters for more information.

Required range: 0 <= x <= 1
cursor_end
integer

A cursor for use in pagination which defines the last id of the next page of results, non-inclusive. See paging parameters for more information on paging.

cursor_start
integer

A cursor for use in pagination which defines the starting id of the next page of results. See paging parameters for more information on paging.

limit
integer
default:100

Number of conflicting SlottingRule objects to return; maximum 250.

Required range: 1 <= x <= 250
Example:

50

Response

A bounded collection of conflicting Rules in the requested Warehouse.

collection
SlottingRule · object[]

Slotting Rules with a positive durable conflict result.

included
object

Direct objects included by specifying nested fields. Relationship trees below these editor selections are never expanded. See the selecting fields page.

Example:
has_more
boolean

True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.

next
string | null

The resource path for the next page of results if any are expected.

previous
string | null

The resource path for the previous page of results if any are expected.

meta
object

Additional metadata pertaining to the response.